{ buildPythonPackage, bison, krb5, fetchFromGitHub, fetchurl }:

buildPythonPackage rec {
  pname = "python-kadmin-${version}";
  version = "0.0.3";
  nativeBuildInputs = [ bison ];
  buildInputs = [ krb5 ];
  src = fetchFromGitHub {
    owner = "nightfly19";
    repo = "python-kadmin";
    rev = "31d25f734b926b71e15d4c2f3a2e68decf8a465b";
    sha256 = "1vnmrd9sz08sr3nsg1n1rgwrqai802hba8gqybgabblbza4kg4x1";
  };

  preConfigure = ''
    substituteInPlace setup.py --replace '["/usr/include/", "/usr/include/et/"]' '["${krb5.dev}/include"]'
    sed -i 's/^PyTypeObject /extern PyTypeObject /g' src/*.h
  '';
  postInstall = ''
    ln -s $src $out
  '';
  doCheck=true;
}
